/*-
 * ============LICENSE_START=======================================================
 * ONAP - SO
 * ================================================================================
 * Copyright (C) 2017 - 2019 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.so.client.sniro.beans;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.annotation.JsonRootName;

@JsonPropertyOrder({
    "modelName",
    "modelVersionId",
    "modelVersion",
    "modelInvariantId"
})
@JsonRootName("modelInfo")
public class ModelInfo implements Serializable{

	private static final long serialVersionUID = 1488642558601651075L;

	@JsonProperty("modelInvariantId")
	private String modelInvariantId;
	@JsonProperty("modelVersionId")
	private String modelVersionId;
	@JsonProperty("modelName")
	private String modelName;
	@JsonProperty("modelVersion")
	private String modelVersion;


	public String getModelInvariantId(){
		return modelInvariantId;
	}

	public void setModelInvariantId(String modelInvariantId){
		this.modelInvariantId = modelInvariantId;
	}

	public String getModelVersionId(){
		return modelVersionId;
	}

	public void setModelVersionId(String modelVersionId){
		this.modelVersionId = modelVersionId;
	}

	public String getModelName(){
		return modelName;
	}

	public void setModelName(String modelName){
		this.modelName = modelName;
	}

	public String getModelVersion(){
		return modelVersion;
	}

	public void setModelVersion(String modelVersion){
		this.modelVersion = modelVersion;
	}

}
